package vo

import "github.com/shopspring/decimal"

type MeterCreationForm struct {
	Code             string              `json:"code"`
	Address          *string             `json:"address"`
	Ratio            decimal.Decimal     `json:"ratio"`
	Seq              int64               `json:"seq"`
	MeterType        int16               `json:"meterType"`
	Building         *string             `json:"building"`
	OnFloor          *string             `json:"onFloor"`
	Area             decimal.NullDecimal `json:"area"`
	Enabled          bool                `json:"enabled"`
	MeterReadingForm `json:"-"`
}

type MeterModificationForm struct {
	Address   *string             `json:"address"`
	Seq       int64               `json:"seq"`
	Ratio     decimal.Decimal     `json:"ratio"`
	Enabled   bool                `json:"enabled"`
	MeterType int16               `json:"meterType"`
	Building  *string             `json:"building"`
	OnFloor   *string             `json:"onFloor"`
	Area      decimal.NullDecimal `json:"area"`
}

type NewMeterForReplacingForm struct {
	Code    string           `json:"code"`
	Ratio   decimal.Decimal  `json:"ratio"`
	Reading MeterReadingForm `json:"reading"`
}

type MeterReplacingForm struct {
	OldReading MeterReadingForm         `json:"oldReading"`
	NewMeter   NewMeterForReplacingForm `json:"newMeter"`
}
